import apiRequest from '@/network/http/apiRequest'

/**
 * 添加ObjectOAM
 * @param data
 * @returns
 */
export function createObjectRole(data: any) {
  return apiRequest({
    url: '/model/object/rule/add',
    method: 'POST',
    data,
  })
}

/**
 * 删除ObjectOAM
 * @param modelId
 * @param objectId
 * @param ruleId
 * @returns
 */
export function deleteObjectRuleById(modelId: number, objectId: number, ruleId: number) {
  return apiRequest({
    url: `/model/object/rule/${modelId}/${objectId}/${ruleId}`,
    method: 'DELETE',
  })
}
